Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Starter/AboutDialog.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Starter/AboutDialog.Designer.cs	(revision 3741)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Starter/AboutDialog.Designer.cs	(revision 3742)
@@ -1,3 +1,24 @@
-﻿namespace HeuristicLab.PluginInfrastructure.Starter {
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.PluginInfrastructure.Starter {
   partial class AboutDialog {
     /// <summary>
@@ -40,10 +61,10 @@
       this.copyrightTextBox = new System.Windows.Forms.TextBox();
       this.pluginsGroupBox = new System.Windows.Forms.GroupBox();
-      this.externalLibrariesTextBox = new System.Windows.Forms.RichTextBox();
+      this.licenseTextBox = new System.Windows.Forms.RichTextBox();
       this.label2 = new System.Windows.Forms.Label();
-      this.urlTextBox = new System.Windows.Forms.RichTextBox();
       this.panel1 = new System.Windows.Forms.Panel();
       this.label4 = new System.Windows.Forms.Label();
       this.richTextBox1 = new System.Windows.Forms.RichTextBox();
+      this.linkLabel = new System.Windows.Forms.LinkLabel();
       ((System.ComponentModel.ISupportInitialize)(this.pictureBox)).BeginInit();
       this.pluginsGroupBox.SuspendLayout();
@@ -74,5 +95,5 @@
       this.pluginListView.Name = "pluginListView";
       this.pluginListView.ShowGroups = false;
-      this.pluginListView.Size = new System.Drawing.Size(589, 159);
+      this.pluginListView.Size = new System.Drawing.Size(589, 201);
       this.pluginListView.SmallImageList = this.imageList;
       this.pluginListView.Sorting = System.Windows.Forms.SortOrder.Ascending;
@@ -80,4 +101,5 @@
       this.pluginListView.UseCompatibleStateImageBehavior = false;
       this.pluginListView.View = System.Windows.Forms.View.Details;
+      this.pluginListView.ItemActivate += new System.EventHandler(this.pluginListView_ItemActivate);
       // 
       // pluginNameColumnHeader
@@ -174,24 +196,25 @@
                   | System.Windows.Forms.AnchorStyles.Right)));
       this.pluginsGroupBox.Controls.Add(this.pluginListView);
-      this.pluginsGroupBox.Location = new System.Drawing.Point(12, 348);
+      this.pluginsGroupBox.Location = new System.Drawing.Point(12, 306);
       this.pluginsGroupBox.Name = "pluginsGroupBox";
-      this.pluginsGroupBox.Size = new System.Drawing.Size(601, 184);
+      this.pluginsGroupBox.Size = new System.Drawing.Size(601, 226);
       this.pluginsGroupBox.TabIndex = 10;
       this.pluginsGroupBox.TabStop = false;
       this.pluginsGroupBox.Text = "Plugins";
       // 
-      // externalLibrariesTextBox
-      // 
-      this.externalLibrariesTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+      // licenseTextBox
+      // 
+      this.licenseTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.externalLibrariesTextBox.BackColor = System.Drawing.SystemColors.HighlightText;
-      this.externalLibrariesTextBox.BorderStyle = System.Windows.Forms.BorderStyle.None;
-      this.externalLibrariesTextBox.Location = new System.Drawing.Point(186, 115);
-      this.externalLibrariesTextBox.Name = "externalLibrariesTextBox";
-      this.externalLibrariesTextBox.ReadOnly = true;
-      this.externalLibrariesTextBox.Size = new System.Drawing.Size(427, 227);
-      this.externalLibrariesTextBox.TabIndex = 11;
-      this.externalLibrariesTextBox.Text = resources.GetString("externalLibrariesTextBox.Text");
-      this.externalLibrariesTextBox.WordWrap = false;
+      this.licenseTextBox.BackColor = System.Drawing.SystemColors.HighlightText;
+      this.licenseTextBox.BorderStyle = System.Windows.Forms.BorderStyle.None;
+      this.licenseTextBox.Location = new System.Drawing.Point(186, 115);
+      this.licenseTextBox.Name = "licenseTextBox";
+      this.licenseTextBox.ReadOnly = true;
+      this.licenseTextBox.Size = new System.Drawing.Size(427, 185);
+      this.licenseTextBox.TabIndex = 11;
+      this.licenseTextBox.Text = "License Text";
+      this.licenseTextBox.WordWrap = false;
+      this.licenseTextBox.LinkClicked += new System.Windows.Forms.LinkClickedEventHandler(this.licenseTextBox_LinkClicked);
       // 
       // label2
@@ -203,17 +226,4 @@
       this.label2.TabIndex = 12;
       this.label2.Text = "Website:";
-      // 
-      // urlTextBox
-      // 
-      this.urlTextBox.BackColor = System.Drawing.SystemColors.HighlightText;
-      this.urlTextBox.BorderStyle = System.Windows.Forms.BorderStyle.None;
-      this.urlTextBox.Location = new System.Drawing.Point(258, 69);
-      this.urlTextBox.Multiline = false;
-      this.urlTextBox.Name = "urlTextBox";
-      this.urlTextBox.ReadOnly = true;
-      this.urlTextBox.ScrollBars = System.Windows.Forms.RichTextBoxScrollBars.None;
-      this.urlTextBox.Size = new System.Drawing.Size(355, 13);
-      this.urlTextBox.TabIndex = 13;
-      this.urlTextBox.Text = "www.heuristiclab.com";
       // 
       // panel1
@@ -248,5 +258,16 @@
       this.richTextBox1.Size = new System.Drawing.Size(355, 13);
       this.richTextBox1.TabIndex = 16;
-      this.richTextBox1.Text = "developers@heuristiclab.com";
+      this.richTextBox1.Text = "support@heuristiclab.com";
+      // 
+      // linkLabel
+      // 
+      this.linkLabel.AutoSize = true;
+      this.linkLabel.Location = new System.Drawing.Point(255, 69);
+      this.linkLabel.Name = "linkLabel";
+      this.linkLabel.Size = new System.Drawing.Size(135, 13);
+      this.linkLabel.TabIndex = 17;
+      this.linkLabel.TabStop = true;
+      this.linkLabel.Text = "http://dev.heuristiclab.com";
+      this.linkLabel.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.linkLabel_LinkClicked);
       // 
       // AboutDialog
@@ -257,10 +278,10 @@
       this.BackColor = System.Drawing.SystemColors.Window;
       this.ClientSize = new System.Drawing.Size(625, 586);
+      this.Controls.Add(this.linkLabel);
       this.Controls.Add(this.richTextBox1);
       this.Controls.Add(this.label4);
       this.Controls.Add(this.panel1);
-      this.Controls.Add(this.urlTextBox);
       this.Controls.Add(this.label2);
-      this.Controls.Add(this.externalLibrariesTextBox);
+      this.Controls.Add(this.licenseTextBox);
       this.Controls.Add(this.pluginsGroupBox);
       this.Controls.Add(this.copyrightTextBox);
@@ -301,10 +322,10 @@
     private System.Windows.Forms.TextBox copyrightTextBox;
     private System.Windows.Forms.GroupBox pluginsGroupBox;
-    private System.Windows.Forms.RichTextBox externalLibrariesTextBox;
+    private System.Windows.Forms.RichTextBox licenseTextBox;
     private System.Windows.Forms.Label label2;
-    private System.Windows.Forms.RichTextBox urlTextBox;
     private System.Windows.Forms.Panel panel1;
     private System.Windows.Forms.Label label4;
     private System.Windows.Forms.RichTextBox richTextBox1;
+    private System.Windows.Forms.LinkLabel linkLabel;
   }
 }
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Starter/AboutDialog.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Starter/AboutDialog.cs	(revision 3741)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Starter/AboutDialog.cs	(revision 3742)
@@ -1,3 +1,24 @@
-﻿using System;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
 using System.Collections.Generic;
 using System.ComponentModel;
@@ -27,4 +48,5 @@
       imageList.Images.Add(HeuristicLab.PluginInfrastructure.Resources.Plugin);
       pictureBox.Image = HeuristicLab.PluginInfrastructure.Resources.Logo_white;
+      licenseTextBox.Text = HeuristicLab.PluginInfrastructure.Resources.LicenseText;
       UpdatePluginList(ApplicationManager.Manager.Plugins);
       ActiveControl = okButton;
@@ -50,4 +72,5 @@
     private ListViewItem CreateListViewItem(IPluginDescription plugin) {
       ListViewItem item = new ListViewItem(new string[] { plugin.Name, plugin.Version.ToString(), plugin.Description });
+      item.Tag = plugin;
       item.ImageIndex = 0;
       return item;
@@ -76,4 +99,19 @@
       Close();
     }
+
+    private void pluginListView_ItemActivate(object sender, EventArgs e) {
+      if(pluginListView.SelectedItems.Count > 0) {
+        PluginView view = new PluginView((IPluginDescription)pluginListView.SelectedItems[0].Tag);
+        view.Show();
+      }
+    }
+
+    private void licenseTextBox_LinkClicked(object sender, LinkClickedEventArgs e) {
+      System.Diagnostics.Process.Start(e.LinkText);
+    }
+
+    private void linkLabel_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e) {
+      System.Diagnostics.Process.Start(linkLabel.Text);
+    }
   }
 }
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Starter/StarterForm.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Starter/StarterForm.cs	(revision 3741)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Starter/StarterForm.cs	(revision 3742)
@@ -54,4 +54,6 @@
       : base() {
       InitializeComponent();
+      largeImageList.Images.Add(HeuristicLab.PluginInfrastructure.Resources.HeuristicLab);
+      smallImageList.Images.Add(HeuristicLab.PluginInfrastructure.Resources.HeuristicLab);
       FileVersionInfo pluginInfrastructureVersion = FileVersionInfo.GetVersionInfo(GetType().Assembly.Location);
       Text = "HeuristicLab " + pluginInfrastructureVersion.FileVersion;
Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/DataAnalysisProblemDataView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/DataAnalysisProblemDataView.Designer.cs	(revision 3741)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/DataAnalysisProblemDataView.Designer.cs	(revision 3742)
@@ -1,3 +1,24 @@
-﻿namespace HeuristicLab.Problems.DataAnalysis.Views {
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.Problems.DataAnalysis.Views {
   partial class DataAnalysisProblemDataView {
     /// <summary> 
Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/DataAnalysisProblemDataView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/DataAnalysisProblemDataView.cs	(revision 3741)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/DataAnalysisProblemDataView.cs	(revision 3742)
@@ -1,3 +1,24 @@
-﻿using System;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
 using System.Collections.Generic;
 using System.ComponentModel;
Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis/3.3/MatrixExtensions.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis/3.3/MatrixExtensions.cs	(revision 3741)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis/3.3/MatrixExtensions.cs	(revision 3742)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -19,4 +19,5 @@
  */
 #endregion
+
 using System;
 using System.Collections.Generic;
Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis/3.3/Tests/Properties/AssemblyInfo.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis/3.3/Tests/Properties/AssemblyInfo.cs	(revision 3741)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis/3.3/Tests/Properties/AssemblyInfo.cs	(revision 3742)
@@ -1,3 +1,24 @@
-﻿using System.Reflection;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Reflection;
 using System.Runtime.CompilerServices;
 using System.Runtime.InteropServices;
Index: /trunk/sources/HeuristicLab.Problems.Knapsack.Views/3.3/KnapsackSolutionView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.Knapsack.Views/3.3/KnapsackSolutionView.Designer.cs	(revision 3741)
+++ /trunk/sources/HeuristicLab.Problems.Knapsack.Views/3.3/KnapsackSolutionView.Designer.cs	(revision 3742)
@@ -1,3 +1,24 @@
-﻿namespace HeuristicLab.Problems.Knapsack.Views {
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.Problems.Knapsack.Views {
   partial class KnapsackSolutionView {
     /// <summary>
Index: /trunk/sources/HeuristicLab.Problems.OneMax.Views/3.3/OnemaxSolutionView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.OneMax.Views/3.3/OnemaxSolutionView.Designer.cs	(revision 3741)
+++ /trunk/sources/HeuristicLab.Problems.OneMax.Views/3.3/OnemaxSolutionView.Designer.cs	(revision 3742)
@@ -1,3 +1,24 @@
-﻿namespace HeuristicLab.Problems.OneMax.Views {
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.Problems.OneMax.Views {
   partial class OneMaxSolutionView {
     /// <summary>
Index: /trunk/sources/HeuristicLab.Problems.TestFunctions.Views/3.3/SingleObjectiveTestFunctionSolutionView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TestFunctions.Views/3.3/SingleObjectiveTestFunctionSolutionView.Designer.cs	(revision 3741)
+++ /trunk/sources/HeuristicLab.Problems.TestFunctions.Views/3.3/SingleObjectiveTestFunctionSolutionView.Designer.cs	(revision 3742)
@@ -1,3 +1,24 @@
-﻿namespace HeuristicLab.Problems.TestFunctions.Views {
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.Problems.TestFunctions.Views {
   partial class SingleObjectiveTestFunctionSolutionView {
     /// <summary>
Index: /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/IRealVectorPSODecoder.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/IRealVectorPSODecoder.cs	(revision 3741)
+++ /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/IRealVectorPSODecoder.cs	(revision 3742)
@@ -1,3 +1,24 @@
-﻿using System;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
 using System.Collections.Generic;
 using System.Linq;
Index: /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/IRealVectorPSOEncoder.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/IRealVectorPSOEncoder.cs	(revision 3741)
+++ /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/IRealVectorPSOEncoder.cs	(revision 3742)
@@ -1,3 +1,24 @@
-﻿using System;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
 using System.Collections.Generic;
 using System.Linq;
Index: /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/RealVectorToRealVectorEncoder.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/RealVectorToRealVectorEncoder.cs	(revision 3741)
+++ /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/RealVectorToRealVectorEncoder.cs	(revision 3742)
@@ -1,3 +1,24 @@
-﻿using System;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
 using System.Collections.Generic;
 using System.Linq;
Index: /trunk/sources/HeuristicLab.Selection/3.3/ConditionalSelector.cs
===================================================================
--- /trunk/sources/HeuristicLab.Selection/3.3/ConditionalSelector.cs	(revision 3741)
+++ /trunk/sources/HeuristicLab.Selection/3.3/ConditionalSelector.cs	(revision 3742)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: /trunk/sources/HeuristicLab.Services.Deployment/3.3/Tests/PluginStoreTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Services.Deployment/3.3/Tests/PluginStoreTest.cs	(revision 3741)
+++ /trunk/sources/HeuristicLab.Services.Deployment/3.3/Tests/PluginStoreTest.cs	(revision 3742)
@@ -1,3 +1,24 @@
-﻿using HeuristicLab.Services.Deployment.DataAccess;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.Services.Deployment.DataAccess;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 using System.Collections.Generic;
Index: /trunk/sources/HeuristicLab.Services.Deployment/3.3/Tests/Properties/AssemblyInfo.cs
===================================================================
--- /trunk/sources/HeuristicLab.Services.Deployment/3.3/Tests/Properties/AssemblyInfo.cs	(revision 3741)
+++ /trunk/sources/HeuristicLab.Services.Deployment/3.3/Tests/Properties/AssemblyInfo.cs	(revision 3742)
@@ -1,3 +1,24 @@
-﻿using System.Reflection;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Reflection;
 using System.Runtime.CompilerServices;
 using System.Runtime.InteropServices;
